SDL_BindAudioStream(3)

NAME
SDL_BindAudioStream - Bind a single audio stream to an audio device.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_BindAudioStream(SDL_AudioDeviceID devid, SDL_AudioStream *stream);

DESCRIPTION
This is a convenience function, equivalent to calling SDL_BindAudioStreams(devid,&stream,1) .

FUNCTION PARAMETERS

devid
    an audio device to bind a stream to.

stream
    an audio stream to bind to a device.

RETURN VALUE
Returns 0 on success, -1 on error; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_BindAudioStreams(3), SDL_UnbindAudioStream(3), SDL_GetAudioStreamDevice(3)